#include "clickabledoublespinbox.h"

#include <QVBoxLayout>

ClickableDoubleSpinBox::ClickableDoubleSpinBox(QWidget *parent)
    : QDoubleSpinBox(parent)
{
    setFocusPolicy(Qt::NoFocus);
    setButtonSymbols(QAbstractSpinBox::NoButtons);
    setValue(-1);
    setDecimals(1);
    setAlignment(Qt::AlignHCenter);
    setContentsMargins(0, 0, 0, 0);
    setMaximumWidth(50);
    this->setStyleSheet("border: 0px solid #5a4855;"
                "width: 50px;"
                "margin: 0px;"
                "background-color: #383034;"
                );
}

